<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>登录页面</title>
	<%@include file="/pages/common/header.jsp"%> <!-- 引入公共头部文件 -->
	<script type="text/javascript">
		// 页面加载完成后执行
		$(function(){

			// 给注册按钮添加点击事件
			$("#sub_btn").click(function(){

				// 获取用户名输入框的值
				var usernameValue = $("#username").val();
				// 定义正则表达式，验证用户名是否合法 (由字母、数字、下划线组成，长度5到15位)
				var usernameReg = /^\w{5,15}$/;
				// 验证用户名信息
				if (!usernameReg.test(usernameValue)) {
					// 如果不合法，提示用户
					$("span.errorMsg").text("用户名不合法！");
					return false; // 阻止表单提交
				}

				// 获取密码输入框的值
				var passwordValue = $("#password").val();
				// 定义正则表达式，验证密码是否合法（同样的规则）
				var passwordReg = /^\w{5,15}$/;
				// 验证密码信息
				if (!passwordReg.test(passwordValue)) {
					// 如果不合法，提示用户
					$("span.errorMsg").text("密码不合法！");
					return false; // 阻止表单提交
				}

				// 如果验证通过，允许表单提交
				return true;
			});

		});
	</script>

</head>
<body>
<div id="login_header">
	<img class="logo_img" alt="" src="static/img/logo.jpg"> <!-- 显示网站的logo -->
</div>

<div class="login_banner">

	<div id="l_content">
		<span class="login_word">欢迎登录</span> <!-- 登录页面的欢迎词 -->
	</div>

	<div id="content">
		<div class="login_form">
			<div class="login_box">
				<div class="tit">
					<h1>书城会员</h1> <!-- 登录框标题 -->
					<a href="pages/user/regist.jsp">立即注册</a> <!-- 注册链接，点击后跳转到注册页面 -->
				</div>
				<div class="msg_cont">
					<b></b>
					<span class="errorMsg">
									<%--<%=request.getAttribute("msg")==null?"请输入用户名和密码":request.getAttribute("msg")%>--%>
									${empty requestScope.msg ? "请输入用户名和密码":requestScope.msg} <!-- 显示错误信息，若有则显示 -->
								</span>
				</div>
				<div class="form">
					<form action="userServlet" method="post"> <!-- 表单提交至userServlet处理登录 -->
						<input type="hidden" name="action" value="login"> <!-- 隐藏字段，指明操作为登录 -->
						<label>用户名称：</label>
						<input class="itxt" type="text" placeholder="请输入用户名" autocomplete="off"
							   tabindex="1" name="username" id="username"
							   value="${requestScope.username}" /> <!-- 用户名输入框 -->
						<br />
						<br />
						<label>用户密码：</label>
						<input class="itxt" type="password" placeholder="请输入密码" autocomplete="off"
							   tabindex="1" name="password" id="password" /> <!-- 密码输入框 -->
						<br />
						<br />
						<input type="submit" value="登录" id="sub_btn" /> <!-- 登录按钮 -->
					</form>
				</div>
			</div>
		</div>
	</div>
</div>
<%@include file="/pages/common/footer.jsp"%> <!-- 引入公共底部文件 -->
</body>
</html>
